Summary: Info documentation html indexer
Name: htmlinfo
Version: 0.1.5
Release: 16tr
License: GPL
Group: Trustix Official
Source1: htmlinfo_update.sh-%{version}
Source2: htmlinfo-dottop.html
Source3: htmlinfo-dotbottom.html
Source4: htmlinfo-dottrustix.css
Requires: coreutils
BuildRoot: /var/tmp/%{name}-root

%description
This package contains the html-info infrastructure, and a script to
generate a indexed page over all included html formatted info documentation. 
It should replace install-info in TSL.

%install
mkdir -p $RPM_BUILD_ROOT/usr/{sbin,share/html}
chmod 755 $RPM_BUILD_ROOT/usr/share/html
install -m 750 %SOURCE1 $RPM_BUILD_ROOT/usr/sbin/htmlinfo_update.sh
install -m 644 %SOURCE2 $RPM_BUILD_ROOT/usr/share/html/.top.html
install -m 644 %SOURCE3 $RPM_BUILD_ROOT/usr/share/html/.bottom.html
install -m 644 %SOURCE4 $RPM_BUILD_ROOT/usr/share/html/.trustix.css
touch $RPM_BUILD_ROOT/usr/share/html/index.html
chmod 644 $RPM_BUILD_ROOT/usr/share/html/index.html

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
/usr/share/html
%ghost /usr/share/html/index.html
/usr/sbin/*

%changelog
* Mon Feb 26 2007 Nived Gopalan <nived at trustix dot org>
- Rebuilt

* Wed Mar 16 2005 Nived Gopalan  <nived at comodo dot com> 0.1.5-14tr
- Rebuilt

* Fri Dec  5 2003 Erlend Midttun <erlendbm at trustix dot org> 0.1.5-11tr
- Big rebuild

* Sun Sep 28 2003 Chr. Toldnes <christht at trustix dot org> 0.1.5-10tr
- backport

* Sun Sep 28 2003 Chr. Toldnes <christht at tawie dot org> 0.1.4-9tsl
- port to tawie

* Mon Jun 23 2003 Erlend Midttun <erlendbm at trustix dot com> 0.1.4-8tr
- Added %defattr.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 0.1.4-7tr
- Big rebuild

* Fri Jun 13 2003 Chr. Toldnes <christht at trustix dot com> 0.1.4-6ct
- now even own index.html

* Tue May 27 2003 Erlend Midttun <erlendbm at trustix dot com> 0.1.4-5em
- Cleaned up PreReq.

* Mon May 26 2003 Erlend Midttun <erlendbm at trustix dot com> 0.1.4-4em
- fileutils, textutils -> coreutils.

* Wed Apr  9 2003 Gerald Dachs <gda at trustix dot org> 0.1.4-3gd
- Added PreReq on fileutils

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 0.1.4-2em
- Rebuilt against glibc 2.3.2.

* Thu Dec 19 2002 Goetz Bock <bock at trustix dot org> 0.1.4-1tr
- check for not monolitic html page(set) first, old behavior seccond
  this allows for multiple small html files, instead of one big one

* Fri Nov  1 2002 Christian H. Toldnes <christht at trustix dot com> 0.1.3-2tr
- added Requires: textutils (cat'n'cut)

* Fri Oct 25 2002 Christian H. Toldnes <christht at trustix dot com> 0.1.3-1tr
- made the indexer more generic.

* Thu Oct 24 2002 Christian H. Toldnes <christht at trustix dot com> 0.1.2-1tr
- fixed another minor error in the indexer.

* Thu Oct 24 2002 Christian H. Toldnes <christht at trustix dot com> 0.1.1-1tr
- fixed minor error in the indexer.
- split into separate sources.

* Thu Oct 24 2002 Christian H. Toldnes <christht at trustix dot com> 0.1.0-1tr
- initial release to replace install-info
